Bug 976268 - ClassNotFoundException when exporting table data to excel
ClassNotFoundException when exporting table data to excel
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: DR6
: 6.0.0
Assigned To: David Gutierrez
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 05:03 EDT by Jan Hrcek
Modified: 2014-08-06 16:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Missing module dependency in the jboss-deployment-structure.xml Consequence: Features (table export) using that module's classes were failing. Fix: Add to the module dependency. Result: Features working as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:10:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hrcek 2013-06-20 05:03:33 EDT
Description of problem:
Export of table data to excel is not working

Version-Release number of selected component (if applicable):
dashbuilder DR5 deployed on JBoss EAP 6.1

How reproducible:
always

Steps to Reproduce:
1. Navigate to Workspace Showcase, page Sales report
2. In the Sales report panel click "Export to MS Excel" button above the table.

Actual results:
Unexpected error is displayed with the following stack trace (see below)

Expected results:
Table data should be exported sucessfully to excel file.

Additional info:

Exception stack trace:
Thread id=http-/127.0.0.1:8080-2
Thread begin date=Thu Jun 20 10:58:41 CEST 2013
Thread group=main
Request URL=/bam-app/Controller?idPanel=2975&_fb=tableviewer&_fp=0&pAction=_factory&dataExportFormat=xlsx
Request IP=127.0.0.1
Request date=Thu Jun 20 10:58:41 CEST 2013
Request header:user-agent=Mozilla/5.0 (X11; Linux x86_64; rv:21.0) Gecko/20100101 Firefox/21.0
Request header:referer=http://localhost:8080/bam-app/workspace/en/showcase/sales-report
Request header:cookie=JSESSIONID=MJcYqH82pTJ-S8cAW4heue0P; dashbuilderNavigationPoint=en-2bn-1; __utma=111872281.615198870.1371621178.1371707495.1371707495.5; __utmz=111872281.1371621178.1.1.utmcsr=(direct)|utmccn=(direct)|utmcmd=(none); kie.ide.console="S53kP+0MNeg="; __utmc=111872281; region_left_web_2_0_cookie=1
Request param:idPanel=2975
Request param:_fb=tableviewer
Request param:_fp=0
Request param:pAction=_factory
Request param:dataExportFormat=xlsx
Tx id=2094906743
Tx Isolation=2
Tx Auto commit=false
Error id=1371718721223
Error date=Thu Jun 20 10:58:41 CEST 2013
Error stack trace=java.lang.ClassNotFoundException: org.dom4j.DocumentException from [Module "deployment.dashbuilder.war:main" from Service Module Loader]
	at org.jboss.modules.ModuleClassLoader.findClass(ModuleClassLoader.java:196)
	at org.jboss.modules.ConcurrentClassLoader.performLoadClassUnchecked(ConcurrentClassLoader.java:444)
	at org.jboss.modules.ConcurrentClassLoader.performLoadClassChecked(ConcurrentClassLoader.java:432)
	at org.jboss.modules.ConcurrentClassLoader.performLoadClass(ConcurrentClassLoader.java:374)
	at org.jboss.modules.ConcurrentClassLoader.loadClass(ConcurrentClassLoader.java:119)
	at org.apache.poi.openxml4j.opc.OPCPackage.init(OPCPackage.java:154)
	at org.apache.poi.openxml4j.opc.OPCPackage.<init>(OPCPackage.java:141)
	at org.apache.poi.openxml4j.opc.Package.<init>(Package.java:54)
	at org.apache.poi.openxml4j.opc.ZipPackage.<init>(ZipPackage.java:67)
	at org.apache.poi.openxml4j.opc.OPCPackage.create(OPCPackage.java:332)
	at org.apache.poi.xssf.usermodel.XSSFWorkbook.newPackage(XSSFWorkbook.java:333)
	at org.apache.poi.xssf.usermodel.XSSFWorkbook.<init>(XSSFWorkbook.java:166)
	at org.apache.poi.xssf.streaming.SXSSFWorkbook.<init>(SXSSFWorkbook.java:172)
	at org.apache.poi.xssf.streaming.SXSSFWorkbook.<init>(SXSSFWorkbook.java:143)
	at org.apache.poi.xssf.streaming.SXSSFWorkbook.<init>(SXSSFWorkbook.java:205)
	at org.jboss.dashboard.displayer.table.ExportTool.exportExcel(ExportTool.java:104)
	at org.jboss.dashboard.ui.components.table.TableHandler.actionExportData(TableHandler.java:332)
	at org.jboss.dashboard.ui.components.table.TableViewer.actionExportData(TableViewer.java:65)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.jboss.dashboard.ui.components.HandlerFactoryElement.handle(HandlerFactoryElement.java:140)
	at org.jboss.dashboard.ui.components.FactoryRequestHandler.handle(FactoryRequestHandler.java:154)
	at org.jboss.dashboard.ui.components.FactoryRequestHandler.performRequestHandling(FactoryRequestHandler.java:145)
	at org.jboss.dashboard.ui.components.FactoryRequestHandler.handleRequest(FactoryRequestHandler.java:43)
	at org.jboss.dashboard.ui.panel.PanelDriver.panelActionFactory(PanelDriver.java:1228)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.jboss.dashboard.ui.panel.PanelDriver.execute(PanelDriver.java:811)
	at org.jboss.dashboard.ui.controller.requestChain.FactoryActionRequestExecutor.processRequest(FactoryActionRequestExecutor.java:110)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:61)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.ControllerServlet$3.txFragment(ControllerServlet.java:192)
	at org.jboss.dashboard.database.hibernate.HibernateTransaction.executeFragment(HibernateTransaction.java:254)
	at org.jboss.dashboard.database.hibernate.HibernateTxFragment.executeInitiator(HibernateTxFragment.java:179)
	at org.jboss.dashboard.database.hibernate.HibernateTxFragment.execute(HibernateTxFragment.java:167)
	at org.jboss.dashboard.ui.controller.ControllerServlet.processTheRequest(ControllerServlet.java:187)
	at org.jboss.dashboard.ui.controller.ControllerServlet$2.doWork(ControllerServlet.java:166)
	at org.jboss.dashboard.factory.Factory.runWork(Factory.java:295)
	at org.jboss.dashboard.factory.Factory.doWork(Factory.java:323)
	at org.jboss.dashboard.ui.controller.ControllerServlet.service(ControllerServlet.java:148)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230)
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149)
	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169)
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145)
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97)
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102)
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336)
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856)
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653)
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920)
	at java.lang.Thread.run(Thread.java:722)
Comment 2 Jan Hrcek 2013-07-13 04:30:05 EDT
Ok, verified with BPMS 6.0.0.DR6 deployed on EAP 6.1

Note You need to log in before you can comment on or make changes to this bug.